%define debug_package %{nil}

%define version 2.0.6

Summary:	Data Acquisition Library
License:	GNU General Public License
Group:		Libraries/Network
Name:		daq
Prefix:		%{_prefix}
Provides:	daq
Release:	2%{?dist}
Source:		daq-%{version}.tar.gz
URL:		http://www.snort.org/
Version:	%{version}

BuildRoot:	/tmp/daqrpm-%{version}
BuildRequires:	autoconf, automake, flex, libpcap-devel, bison
BuildRequires:	libnetfilter_queue-devel, libdnet-devel

%description
Data Acquisition library for Snort.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_includedir}/daq.h
%{_includedir}/daq_common.h
%{_includedir}/sfbpf_dlt.h
%{_includedir}/daq_api.h
%{_includedir}/sfbpf.h
%{_libdir}/libdaq_static_modules.la
%{_libdir}/libdaq_static_modules.a
%{_libdir}/libsfbpf.a
%{_libdir}/libdaq.so
%{_libdir}/libsfbpf.la
%{_libdir}/libdaq.la
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/daq_dump.so
%{_libdir}/%{name}/daq_ipfw.la
%{_libdir}/%{name}/daq_dump.la
%{_libdir}/%{name}/daq_afpacket.la
%{_libdir}/%{name}/daq_pcap.so
%{_libdir}/%{name}/daq_pcap.la
%{_libdir}/%{name}/daq_ipfw.so
%{_libdir}/%{name}/daq_afpacket.so
%{_libdir}/%{name}/*nfq*.la
%{_libdir}/%{name}/*nfq*.so
%{_libdir}/libsfbpf.so.0.0.1
%{_libdir}/libsfbpf.so.0
%{_libdir}/libdaq_static.la
#%{_libdir}/libdaq.so.%{version}
%{_libdir}/libdaq.so.2.0.4
%{_libdir}/libsfbpf.so
%{_libdir}/libdaq.a
%{_libdir}/libdaq_static.a
%{_libdir}/libdaq.so.2
%{_bindir}/daq-modules-config

%changelog
* Wed Oct  5 2016 Lawrence R. Rogers <lrr@cert.org> - 2.0.6-2
* Release 2.0.6-2
	Changes made to support NFQ which is the new and improved way to process iptables packets.

* Wed Jul 15 2015 Lawrence R. Rogers <lrr@cert.org> - 2.0.6-1
* Release 2.0.6-1
	ChangeLog, configure.ac, daq.spec, api/daq_api.h,
	os-daq-modules/daq_static_modules.c (IMS_5_4_0): Bugs Fixed:
	CSCuv26782 Change description: Add lost Netmap DAQ module.  Sync
	Changelog from 2.0.5 release tarball.  Bump to 2.0.6.  Update RPM
	spec file for appropriate library name.  Reviewedboard Link:
	http://kingart.cisco.com/reviews/r/30004/ Karma Granted By: Ron
	Testing Done: Documentation:

* Wed Apr 22 2015 Lawrence R. Rogers <lrr@cert.org> - 2.0.5-1
* Release 2.0.5-1
	2015-04-22 18:58  jocornet
	    * api/daq_common.h:
	      Fixed build issue on windows. 

	2015-04-01 14:56 maltizer
	    * configure.ac, os-daq-modules/Makefile.am,
	      os-daq-modules/daq_dump.c, os-daq-modules/daq_netmap.c,
	      os-daq-modules/daq_static_modules.h, sfbpf/Makefile.am:
	      Fixed build issues on FreeBSD. 
	      Fixed overflowable snaplen in dump module.
	      Fixed issues with netmap module.

* Sat Sep  6 2014 Lawrence R. Rogers <lrr@cert.org> - 2.0.4-1
* Release 2.0.4-1
	Changes in 2.0.4 Released on 2014-09-06:
	----------------------------------------
	2014-07-21 16:05  stechew

		* api/daq_common.h: 
		  Changed name from 'priv_flow_id' to 'flow_id'.  Changed the
		  'flow_id' field to an uint32_t rather than void * since that's
		  how it is used and will be safer to pass around.  

	2014-07-08 16:19  jocornet
		* m4/sf.m4, sfbpf/Makefile.am: 
		  Fix DAQ macros to allow users to edit libpcap version in cache
		  file. Also fixed a parallel build error for individual
		  make targets in spfbf.  Thanks to Mike Frysinger for noting the
		  issue and proposing the fix.  

	2014-06-19 15:55  mialtize
		* os-daq-modules/daq_netmap.c: 
		* README, configure.ac, api/daq_common.h,
		  os-daq-modules/Makefile.am, os-daq-modules/daq_afpacket.c: 
		  Add new open source netmap DAQ module for Linux/FreeBSD; see the
		  README for more details.  Clean up error reporting during
		  AFPacket DAQ module initialization.
		  
	Changes in 2.0.3 Released on 2014-06-06:
	----------------------------------------
	2014-06-06 10:00  cwaxman

		* api/daq.h, api/daq_api.h, api/daq_base.c,
		  api/daq_mod_ops.c, os-daq-modules/daq_afpacket.c,
		  os-daq-modules/daq_pcap.c, os-daq-modules/daq_static_modules.c,
		  os-daq-modules/daq_static_modules.h, sfbpf/sf_bpf_filter.c,
		  sfbpf/sf_bpf_printer.c, sfbpf/sf_gencode.c,
		  sfbpf/sf_nametoaddr.c, sfbpf/sfbpf-int.h,
		      sfbpf/sfbpf_dlt.h:
		  Update copyright.

		* configure.ac:
		  Fixed FreeBSD 10 compatibility (Thanks to Joshua Kinard for
		  reporting the issue).

	2014-01-17 21:31  cwaxman

		* os-daq-modules/daq_pcap.c:
		  Fix compatibility with libpcap 1.5.1 and 1.5.2.

* Fri Nov 15 2013 Lawrence R. Rogers <lrr@cert.org> - 2.0.2-1
* Release 2.0.2-1
        * os-daq-modules/daq_ipfw.c: 
          Don't treat being interrupted by a signal as an error.

        * configure.ac, daq.spec, os-daq-modules/daq_afpacket.c:
          Fix frame length sanity check.

        * README, configure.ac, os-daq-modules/daq_afpacket.c:
          Fix AFPacket DAQ module to attempt to reconstruct the automatically
          stripped VLAN header prior to passing it to the reader.  Also, use
          AFPacket TX Ring instead of sendto to improve TX performance.  (Requires
          a newer Linux kernel version, README and configure.ac updated to reflect
          this.)


* Mon Jul 22 2013 Lawrence R. Rogers <lrr@cert.org> - 2.0.1
* Release 2.0.1-1

    * daq.h, daq_api.h, daq_base.c, daq_common.h, daq_mod_ops.c, 
      daq_afpacket.c, daq_dump.c, daq_ipfw.c, daq_ipq.c, daq_nfq.c, 
      daq_pcap.c, daq_static_modules.c, daq_static_modules.h, 
      sf_bpf_filter.c, sf_bpf_printer.c, sf_gencode.c, sf_nametoaddr.c, 
      sf_optimize.c, sfbpf-int.c, sfbpf-int.h, sfbpf.h, 
      sfbpf_dlt.h:
      Update copyright year.

    * daq_dump.c, daq_ipfw.c, daq_ipq.c, daq_nfq.c: 
      Ensure verdict is in range before bumping peg counts.
      Thanks to John Menerick <omgclouds@gmail.com> for reporting the
      issue.

* Tue Oct 09 2012 Lawrence R. Rogers <lrr@cert.org> - 2.0.0-1.1
* Release 2.0.0-1.1

	2012-10-01 16:15  ssturges
	
		* daq.spec: 
		  Update DAQ spec file to reflect 2.0.0.
	
	2012-09-07 15:30  maltizer
	
		* sfbpf/sll.h:
		  Fix sfbpf compilation on Solaris.
	
	2012-09-06 17:56  hsugar
	
		* api/daq.h: 
		  Add a DAQ version for conditional compiles.
	
	2012-09-06 11:17  maltizer
	
		* COPYING, configure.ac, api/Makefile.am, api/daq.h, api/daq_api.h,
		  api/daq_base.c, api/daq_common.h, api/daq_mod_ops.c,
		  os-daq-modules/daq_afpacket.c, os-daq-modules/daq_dump.c,
		  os-daq-modules/daq_ipfw.c, os-daq-modules/daq_ipq.c,
		  os-daq-modules/daq_nfq.c, os-daq-modules/daq_pcap.c,
		  os-daq-modules/daq_static_modules.c,
		  os-daq-modules/daq_static_modules.h, sfbpf/sf_bpf_printer.c:
		  Add address_space_id fields to DAQ packet headers and flow
		  messages.  Rev LibDAQ to major 2.  Update the address of the FSF.

* Wed Jul 18 2012 Lawrence R. Rogers <lrr@cert.org> - 1.1.1-1
* Release 1.1.1-1

	2012-01-11 17:59  maltizer
	
		* configure.ac, daq.spec, os-daq-modules/Makefile.am:
		  Fix build when configuring with --disable-shared (don't build
		  dynamic modules).  Add note to AFPacket section of README warning
		  against RHEL5's kernel.  Update LibDAQ version to 1.1.1.
	
	2012-01-04 00:54  maltizer
	
		* api/daq_common.h:
		  Fix flag definition.
	
	2011-12-23 14:25  maltizer
	
		* configure.ac, daq.spec, api/daq_common.h:
		  Add the DAQ_PKT_FLAG_NOT_FORWARDING flag
	
	2011-11-04 13:28  maltizer
	
		* configure.ac, daq.spec, api/Makefile.am:
		  Update the SO major revision of libdaq to 1.


* Thu Oct 6 2011 Lawrence R. Rogers <lrr@cert.org> - 0.6.2-1
* Release 0.6.2-1

	2011-09-21 16:22  rcombs

		* configure.ac, os-daq-modules/Makefile.am:
		  fix dnet vs dumbnet in a more righteous way

	2011-07-18 10:05  rdempster

		* sfbpf/Makefile.am:
		  Remove GNU Make specific declarations and replace with srcdir
		  literals.
